@echo off
if not exist d256.pak goto erreur
if not exist dexenp.pak goto erreur
if not exist doth.pak goto erreur
ECHO CREATING MAP DIRECTORIES
md map01
md map02
md map03
md map04
md map05
md sav01
md sav02
md sav03
md sav04
md sav05
md sav06
md sav07
md sav08
md sav09
md sav10

ECHO DECOMPRESSING MAPS...
GOTO CMAP0
:CMAP
cd MAP0%a%
copy ..\unpak.exe
copy ..\map%a%.pak
unpak map%a%.pak
del map%a%.pak
del unpak.exe
cd..
GOTO CMAP%a%

:CMAP0
set a=1
GOTO CMAP

:CMAP1
set a=2
GOTO CMAP

:CMAP2
set a=3
GOTO CMAP

:CMAP3
set a=4
GOTO CMAP

:CMAP4
set a=5
GOTO CMAP

:CMAP5
ECHO UNPAKCING DATA...
unpak d256.pak
del d256.pak
unpak doth.pak
del doth.pak
unpak titre.pak
del titre.pak
unpak photo.pak
del photo.pak
unpak dexeNP.pak
del dexeNP.pak
del unpak.exe
del *.pak
copy toto00.vo/B+toto01.vo/B+toto02.vo/B finfo15.voc
del toto*.*
GOTO FIN
:erreur
echo Installation aborted
GOTO FIN
:FIN
if not exist _.exe echo File not found. Please re-install the game...
echo on
